LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
XEventListener Interface Referencepublished

base interface for all event listeners interfaces. More...

`import"XEventListener.idl";`

Inheritance diagram for XEventListener:

## Public Member Functions
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

base interface for all event listeners interfaces.

Developers Guide
  ProUNO - Event Model
  ProUNO - Bridge - Automation Objects with UNO Interfaces
  ProUNO - Basic - Listeners

## Member Function Documentation

void disposing | ( | [in] com::sun::star::lang::EventObject | Source | ) |

gets called when the broadcaster is about to be disposed.

All listeners and all other objects, which reference the broadcaster should release the reference to the source. No method should be invoked anymore on this object ( including XComponent::removeEventListener() ).

This method is called for every listener registration of derived listener interfaced, not only for registrations at XComponent.

The documentation for this interface was generated from the following file:

- com/sun/star/lang/XEventListener.idl